curl --request POST \
--url https://sandbox.cashfree.com/pg/easy-split/vendors/{vendor_id}/adjustment \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"vendor_id": "test_123",
"adjustment_id": 1234567,
"amount": 10,
"type": "CREDIT",
"remarks": "Testing"
}
'import requests
url = "https://sandbox.cashfree.com/pg/easy-split/vendors/{vendor_id}/adjustment"
payload = {
"vendor_id": "test_123",
"adjustment_id": 1234567,
"amount": 10,
"type": "CREDIT",
"remarks": "Testing"
}
headers = {
"x-api-version": "<x-api-version>",
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-version': '<x-api-version>',
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
vendor_id: 'test_123',
adjustment_id: 1234567,
amount: 10,
type: 'CREDIT',
remarks: 'Testing'
})
};
fetch('https://sandbox.cashfree.com/pg/easy-split/vendors/{vendor_id}/adjustment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Vendor & merchant balances updated",
"status": "OK"
}Create Adjustment
The Create Adjustment API will create a adjustment request either from vendor to the merchant or from merchant to the vendor.
Authorizations
Client app ID. You can find your app id in the Merchant Dashboard.
Client secret key. You can find your secret key in the Merchant Dashboard.
Headers
API version to be used.
Request ID for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to Cashfree.
An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.
Path Parameters
The id which uniquely identifies your vendor.
Body
Vendor Adjustment Request Body.
Vendor Adjustment Request Body.
The unique identifier of the vendor to whom the adjustment is applied.
The unique identifier for the adjustment transaction.
The adjustment amount to be applied.
The type of adjustment. Possible values: CREDIT, DEBIT.
Remarks for the adjustment transaction, if any.
Was this page helpful?